summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLi Zhineng <[email protected]>2024-07-04 19:08:59 +0800
committerLi Zhineng <[email protected]>2024-07-04 19:08:59 +0800
commitf95653394d765d1e478f5565973209ed274c21c3 (patch)
treeb91a2a28d3b47ff7e713123da89d9c039c654a9e
parent3c53521b337e0aa093e57f3051b8a52cdc21def3 (diff)
downloadchina-unicom-iptv-gd-f95653394d765d1e478f5565973209ed274c21c3.tar.gz
china-unicom-iptv-gd-f95653394d765d1e478f5565973209ed274c21c3.zip
colorizes the output
-rwxr-xr-xiptv.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/iptv.sh b/iptv.sh
index 29308e3..c91c824 100755
--- a/iptv.sh
+++ b/iptv.sh
@@ -1,8 +1,8 @@
#!/usr/bin/env bash
-step () { echo "[-] $1"; }
+step () { echo -e "\033[32m[-]\033[0m $1"; }
-fatal () { echo "[!] $1"; exit 1; }
+fatal () { echo -e "\033[31m[!]\033[0m $1"; exit 1; }
ensure_curl_is_installed () {
if ! command -v curl &>/dev/null; then